/***************************************************************************
                          quickviewscroller.cpp  -  description
                             -------------------
    begin                : Sun Aug 4 2002
    copyright            : (C) 2002 by Chris Wallace
    email                : chris.wallace@netflash.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "quickviewscroller.h"

#include <kurldrag.h>

#include <iostream>

QuickViewScroller::QuickViewScroller(QWidget *parent, const char *name )
: QScrollView(parent,name)
{
  setAcceptDrops(true);  
}

QuickViewScroller::~QuickViewScroller()
{
}

void QuickViewScroller::resizeContents(int w, int h)
{
  //viewport()->resize(w, h);
  QScrollView::resizeContents(w, h);
  //viewport()->resize(w, h);
}

void QuickViewScroller::resizeEvent(QResizeEvent *e)
{
  emit signalResized(e->oldSize().width(), e->oldSize().height(), e->size().width(), e->size().height());
  QScrollView::resizeEvent(e);
}

void QuickViewScroller::contentsDragEnterEvent(QDragEnterEvent *e)
{
  //cout << "Contents Drag Enter Event" << endl;
  emit signalContentsDragEntered(e);
  e->accept(KURLDrag::canDecode(e));
}

void QuickViewScroller::contentsDropEvent(QDropEvent *e)
{
  //cout << "Contents Drop Event" << endl;
  emit signalContentsDroped(e);
}

