/***************************************************************************
                          quickviewscroller.h  -  description
                             -------------------
    begin                : Sun Aug 4 2002
    copyright            : (C) 2002 by Chris Wallace
    email                : chris.wallace@netflash.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QUICKVIEWSCROLLER_H
#define QUICKVIEWSCROLLER_H

#include <qwidget.h>
#include <qscrollview.h>

/**
  *@author Chris Wallace
  */

class QuickViewScroller : public QScrollView  {
   Q_OBJECT
  public: 
	  QuickViewScroller(QWidget *parent=0, const char *name=0);
	  ~QuickViewScroller();

    void resizeContents(int w, int h);

  signals:
    void signalResized(int oldw, int oldh, int neww, int newh);

    /* For Drag 'n Drop */
    void signalContentsDragEntered(QDragEnterEvent *);
    void signalContentsDroped(QDropEvent *);

  protected:
    void resizeEvent(QResizeEvent *);

    /* For Drag And Drop */
    void contentsDragEnterEvent(QDragEnterEvent* event);
		void contentsDropEvent(QDropEvent* event);

};

#endif
