/***************************************************************************
                          quickviewurl.cpp  -  description
                             -------------------
    begin                : Mon Aug 5 2002
    copyright            : (C) 2002 by Chris Wallace
    email                : chris.wallace@netflash.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "quickviewurl.h"

#include <kurldrag.h>

#include <iostream>

QuickViewURL::QuickViewURL(QWidget *parent, const char *name )
: KURLLabel(parent,name)
{
  setAcceptDrops(true);
}

QuickViewURL::QuickViewURL(const QString & url, const QString & text, QWidget *parent, const char *name)
: KURLLabel(url, text, parent, name)
{
  setAcceptDrops(true);
}

QuickViewURL::~QuickViewURL()
{
}

void QuickViewURL::dragEnterEvent(QDragEnterEvent *e)
{
  //cout << "Drag Enter Event" << endl;
  emit signalDragEntered(e);
  e->accept(KURLDrag::canDecode(e));
}

void QuickViewURL::dropEvent(QDropEvent *e)
{
  //cout << "Drop Event" << endl;
  emit signalDroped(e);
}
