/***************************************************************************
                          rdfdefaulthandler.h  -  description
                             -------------------
    begin                : Sat Jul 13 2002
    copyright            : (C) 2002 by Chris Wallace
    email                : chris.wallace@netflash.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RDFDEFAULTHANDLER_H
#define RDFDEFAULTHANDLER_H

#include <qstring.h>
#include <qdom.h>
#include <qxml.h>

/**
  *@author Chris Wallace
  */

class RDFDefaultHandler {
  public: 
	  RDFDefaultHandler();
	  virtual ~RDFDefaultHandler();

    virtual bool startDocument();
		virtual bool endDocument();
		virtual bool startElement(const QString & namespaceURI, const QString & localName, const QString & qName, const QXmlAttributes & atts);
		virtual bool endElement(const QString & namespaceURI, const QString & localName, const QString & qName);
		virtual bool characters(const QString & ch);
		virtual bool warning(const QXmlParseException & exception);
		virtual bool error(const QXmlParseException & exception);
		virtual bool fatalError(const QXmlParseException & exception);
		virtual bool comment(const QString & ch);

    virtual bool parse(const QString & contents);

  protected:
    virtual bool parseNode(QDomNode & node);
};

#endif
